/*
 * GPIO userspace routines for BCM963xx boards
 * Copyright (C) 2008 Francesco Gugliuzza
 * This file is under copyright of Francesco Gugliuzza
 * and cannot be redistributed without written permission.
 */

/* These are return values from GPIO routines, in case of an error. */
#define GPIO_INVALID -1
#define GPIO_INVALID_DIR -2
#define GPIO_INVALID_VALUE -3
#define GPIO_MAP_FAILED -4

/* Gpio direction is 0 for output and 1 for input, for compatibility with OpenWRT kernel GPIO routines. */
int gpio_set_dir(int gpio, int dir);

/* Value: 0 for low and 1 for high */
int gpio_set(int gpio, int value);

/* Return value: as above */
int gpio_get(int gpio);
